﻿

module("VOICE")

com_groups = {
	continue_left=2,
	continue_right=2,
	continue_sharp_left=2,
	continue_sharp_right=2,
	continue_uturn_left=2,
	continue_uturn_right=2,
	deformed_roundabout_exit=2,
	exit_left=2,
	exit_right=2,
	ferry=0,
	ferry_exit=0,
	goal=0,
	goal_left=0,
	goal_right=0,
	highway_enter=2,
	highway_leave=2,
	keep_left=2,
	keep_left_b=2,
	keep_left_hwy=1,
	keep_left_shwy=1,
	keep_right=2,
	keep_right_b=2,
	keep_right_hwy=1,
	keep_right_shwy=1,
	left=2,
	left_end=2,
	priority=3,
	priority_left=3,
	priority_right=3,
	ramp_left=2,
	ramp_right=2,
	right=2,
	right_end=2,
	roundabout_back=2,
	roundabout_exit=2,
	roundabout_h=2,
	roundabout_l=2,
	roundabout_left=2,
	roundabout_right=2,
	roundabout_straight=2,
	sharp_left=2,
	sharp_right=2,
	slight_left=2,
	slight_right=2,
	straight=1,
	uturn=0,
	uturn_left=2,
	uturn_left_dual=0,
	uturn_right=2,
	uturn_right_dual=0,
	via=0,
	via_left=0,
	via_right=0,
}

transform = {}

transform.replace_sentence = {
	{L"[., ]+[Mm]ajd", L", majd"},
	{L" +([,.])", L"%1"},
	{L" +", L" "},
	{L"([0-9.?])[.]+ *[|^]* *$", L"%1 \\eos=1\\"},
}

transform.road_abbrev_table = TRANSFORM.new({	
	{1, L"U", L"Utca"},
	{1, L"Prof", L"Professzor"},
	{1, L"Ny", L"Nyugat"},
	{1, L"K", L"Kelet"},
	{1, L"Ény", L"Északnyugat"},
	{1, L"ÉK", L"Északkelet"},
	{1, L"É", L"Észak"},
	{1, L"DNy", L"Délnyugat"},
	{1, L"DK", L"Délkelet"},
	{1, L"D", L"Dél"},
	{1, L"I", L"Első"},
	{1, L"II", L"Második"},
	{1, L"III", L"Harmadik"},
	{1, L"IV", L"Negyedik"},
	{1, L"V", L"Ötödik"},
	{1, L"VI", L"Hatodik"},
	{1, L"VII", L"Hetedik"},
	{1, L"VIII", L"Nyolcadik"},
	{1, L"IX", L"Kilencedik"},
	{1, L"Thököly", L"Tököli"},
	
	{1,L"Roosevelt",L"rózevelt"},
	{1,L"lánchíd",L"lánc híd"},
	{1,L"clark",L"klark"},
	{1,L"Jane Haning",L"dzsén hening"},
	{1,L"Angelo Rotta",L"ándzselo rottá"},
	{1,L"Carl Lutz",L"kárl luc"},
	{1,L"Friedrich Born",L"fridrih born"},
	{1,L"Raoul Wallenberg",L"raul vallenberg"},
	{1,L"Slachta Margit",L"slahta margit"},
	{1,L"Sztehlo Gábor",L"sztelo gábor"},
	{1,L"Gróf Esterházy János",L"gróf eszterházi jános"},
	{1,L"Valdemar és Nina Langlet",L"voldémár és niná lánglét"},
	{1,L"Elvis Presley",L"elvisz preszli"},
	{1,L"André Citroën",L"andré citron"},
	{1,L"Anonymus",L"anonímusz"},
	{1,L"Anonymous",L"anonímusz"},
	{2,L"^(\\d+)\\.?", L"\\1-s"},
	{2,L"^(\\d+)\\/(\\d+)\\.?", L"\\1 per \\2-s"},
})

transform.country_abbrev_table = TRANSFORM.new({
	{1, L"AT", L"Ausztria"},
	{1, L"SLO", L"Szlovénia"},
	{1, L"HR", L"Horvátország"},
	{1, L"SRB", L"Szerbia"},
	{1, L"RS", L"Szerbia"},
	{1, L"RO", L"Románia"},
	{1, L"UA", L"Ukrajna"},
	{1, L"SK", L"Szlovákia"},
})

transform.settlement_exceptions_table = TRANSFORM.new({	
	{1, L"BEVÁSÁRLÓ KÖZPONT", L"a Bevásárlóközpont"},
	{1, L"BEVÁSÁRLÓ KÖZPONT/OMSZK PARK", L"a Bevásárlóközpont, Omszk Park"},
	{1, L"BEVÁSÁRLÓ KÖZPONTOK", L"a Bevásárlóközpontok"},
	{1, L"BEVÁSÁRLÓ/KÖZPONT", L"a Bevásárlóközpont"},
	{1, L"BEVÁSÁRLÓKÖZPONTOK", L"a Bevásárlóközpontok"},
	{1, L"Bevásárló Központ", L"a Bevásárlóközpont"},
	{1, L"Bevásárló Központ-Shopping Center", L"a Bevásárlóközpont, Sopping Center"},
	{1, L"Bevásárlóközpontok", L"a Bevásárlóközpontok"},
	{1, L"Bevásároló központ", L"a Bevásárlóközpont"},
	{1, L"BEVÁSÁRLÓ-", L"a Bevásárlóközpont"},
	{1, L"BEVÁSÁRLÓ", L"a Bevásárlóközpont"},
})

transform.route_summary_abbrev = TRANSFORM.new(transform.road_abbrev_table, {1, L"utca", L"ut-ca"})

transform.com1 = TRANSFORM.new({	
	{1, L"zug", L"zugon"},
	{1, L"völgyhid", L"völgy hídon"},
	{1, L"völgyhíd", L"völgy hídon"},
	{1, L"villasor", L"villa soron"},
	{1, L"vasutsor", L"vasút soron"},
	{1, L"vasútsor", L"vasút soron"},
	{1, L"vásártér", L"vásártéren"},
	{1, L"üdülöterület", L" üdülőterületen"},
	{1, L"üdülőterület", L" üdülőterületen"},
	{1, L"üdülötelep", L" üdülőtelepen"},
	{1, L"üdülőtelep", L" üdülőtelepen"},
	{1, L"üdülösor", L" üdülősoron"},
	{1, L"üdülősor", L" üdülősoron"},
	{1, L"üdülöpart", L" üdülőparton"},
	{1, L"üdülőpart", L" üdülőparton"},
	{1, L"uutca", L"utcán"},
	{1, L"ututca", L" utcán"},
	{1, L"útutca", L" utcán"},
	{1, L"utja", L" útján"},
	{1, L"útja", L" útján"},
	{1, L"utfél", L" út félen"},
	{1, L"útfél", L" út félen"},
	{1, L"utcaw", L"utcán"},
	{1, L"utcánk", L"utcánkon"},
	{1, L"utcája", L"utcáján"},
	{1, L"utca", L"utcán"},
	{1, L"uta", L" utcán"},
	{1, L"úta", L" utcán"},
	{1, L"ut", L" úton"},
	{1, L"út", L" úton"},
	{1, L"ulicska", L"ulicskán"},
	{1, L"ujtelep", L" újtelepen"},
	{1, L"újtelep", L" újtelepen"},
	{1, L"ujsor", L" újsoron"},
	{1, L"újsor", L" újsoron"},
	{1, L"udvar", L"udvaron"},
	{1, L"tömb", L"tömb felé"},
	{1, L"töltés", L"töltésen"},
	{1, L"tetö", L"tetőn"},
	{1, L"tető", L"tetőn"},
	{1, L"tere", L"tere felé"},
	{1, L"temetö", L"temető felé"},
	{1, L"temető", L"temető felé"},
	{1, L"telep", L"telepen"},
	{1, L"telek", L"telken"},
	{1, L"tanya", L"tanyán"},
	{1, L"tag", L"tagon"},
	{1, L"szölöhegy", L"szőlőhegyen"},
	{1, L"szölőhegy", L"szőlőhegyen"},
	{1, L"szőlöhegy", L"szőlőhegyen"},
	{1, L"szőlőhegy", L"szőlőhegyen"},
	{1, L"szölö$", L"szőlőn"},
	{1, L"szölő$", L"szőlőn"},
	{1, L"szőlö$", L"szőlőn"},
	{1, L"szőlő$", L"szőlőn"},
	{1, L"szél", L"szélen"},
	{1, L"sugárut", L"sugárúton"},
	{1, L"sugárút", L"sugárúton"},
	{1, L"sorház", L"sorház felé"},
	{1, L"sora", L"során"},
	{1, L"sikátor", L"sikátoron"},
	{1, L"sétány", L"sétányon"},
	{1, L"rét", L"réten"},
	{1, L"regálé", L"regálén"},
	{1, L"rakpart", L"rakparton"},
	{1, L"puszta", L"pusztán"},
	{1, L"pincesor", L"pince soron"},
	{1, L"pinceköz", L"pinceközön"},
	{1, L"pihenöhely", L"pihenőhelyen"},
	{1, L"pihenőhely", L"pihenőhelyen"},
	{1, L"pavilonsor", L"pavilon soron"},
	{1, L"parkja", L"parkján"},
	{1, L"park", L"parkon"},
	{1, L"ösvény", L" ösvényen"},
	{1, L"országut", L"országúton"},
	{1, L"országút", L"országúton"},
	{1, L"oldal", L"oldalon"},
	{1, L"oktogon", L"Oktogonon"},
	{1, L"nagyut", L"nagy úton"},
	{1, L"nagyút", L"nagy úton"},
	{1, L"mélyut", L"mély úton"},
	{1, L"mélyút", L"mély úton"},
	{1, L"major", L"majoron"},
	{1, L"lötér", L"lő téren"},
	{1, L"lőtér", L"lő téren"},
	{1, L"lépcsösor", L"lépcsősoron"},
	{1, L"lépcsősor", L"lépcsősoron"},
	{1, L"lépcsö", L"lépcsőn"},
	{1, L"lépcső", L"lépcsőn"},
	{1, L"lejtö", L"lejtőn"},
	{1, L"lejtő", L"lejtőn"},
	{1, L"lejáro", L"lejárón"},
	{1, L"lejáró", L"lejárón"},
	{1, L"laotelep", L"lakótelep felé"},
	{1, L"laótelep", L"lakótelep felé"},
	{1, L"lakotelep", L"lakótelep felé"},
	{1, L"lakótelep", L"lakótelep felé"},
	{1, L"lakopark", L"lakópark felé"},
	{1, L"lakópark", L"lakópark felé"},
	{1, L"lakonegyed", L"lakónegyed felé"},
	{1, L"lakónegyed", L"lakónegyed felé"},
	{1, L"lakoépületek", L"lakóépületek felé"},
	{1, L"lakóépületek", L"lakóépületek felé"},
	{1, L"köztere", L"közterén"},
	{1, L"középsösor", L"középső soron"},
	{1, L"középsősor", L"középső soron"},
	{1, L"köze", L"közén"},
	{1, L"köz", L"közön"},
	{1, L"körvasutsor", L"körvasút soron"},
	{1, L"körvasútsor", L"körvasút soron"},
	{1, L"körutja", L"körútján"},
	{1, L"körútja", L"körútján"},
	{1, L"körut", L"körúton"},
	{1, L"körút", L"körúton"},
	{1, L"körut", L"köruton"},
	{1, L"körtér", L"körtéren"},
	{1, L"körönd", L"köröndön"},
	{1, L"kőrönd", L"köröndön"},
	{1, L"körönd", L"köröndön"},
	{1, L"körgyürü", L"körgyűrűn"},
	{1, L"körgyürű", L"körgyűrűn"},
	{1, L"körgyűrü", L"körgyűrűn"},
	{1, L"körgyűrű", L"körgyűrűn"},
	{1, L"kolonia", L"kolónián"},
	{1, L"kolónia", L"kolónián"},
	{1, L"kertsor", L"kert soron"},
	{1, L"kert", L"kerten"},
	{1, L"keresztut", L"keresztúton"},
	{1, L"keresztút", L"keresztúton"},
	{1, L"kapu", L"kapun"},
	{1, L"hidja", L"hídján"},
	{1, L"hídja", L"hídján"},
	{1, L"hegy", L"hegyen"},
	{1, L"határut", L"határúton"},
	{1, L"határút", L"határúton"},
	{1, L"határsor", L"határsoron"},
	{1, L"gyalogjáro", L"gyalogjárón"},
	{1, L"gyalogjáró", L"gyalogjárón"},
	{1, L"gát", L"gáton"},
	{1, L"föutca", L"főutcán"},
	{1, L"főutca", L"főutcán"},
	{1, L"föut", L"főúton"},
	{1, L"föút", L"főúton"},
	{1, L"főut", L"főúton"},
	{1, L"főút", L"főúton"},
	{1, L"fötér", L"főtéren"},
	{1, L"főtér", L"főtéren"},
	{1, L"fordulo", L"fordulón"},
	{1, L"forduló", L"fordulón"},
	{1, L"felüljáro", L"felüljárón"},
	{1, L"felüljáró", L"felüljárón"},
	{1, L"felsösor", L"felsősoron"},
	{1, L"felsősor", L"felsősoron"},
	{1, L"fasora", L"fasorán"},
	{1, L"fasor", L"fasoron"},
	{1, L"emléktere", L"emlékterén"},
	{1, L"dülöut", L"dűlőúton"},
	{1, L"dülöút", L"dűlőúton"},
	{1, L"dülőut", L"dűlőúton"},
	{1, L"dülőút", L"dűlőúton"},
	{1, L"dűlöut", L"dűlőúton"},
	{1, L"dűlöút", L"dűlőúton"},
	{1, L"dűlőut", L"dűlőúton"},
	{1, L"dűlőút", L"dűlőúton"},
	{1, L"dülö", L"dűlőn"},
	{1, L"dülő", L"dűlőn"},
	{1, L"dűlö", L"dűlőn"},
	{1, L"dűlő", L"dűlőn"},
	{1, L"dülö", L"dülőn"},
	{1, L"dülő", L"dülőn"},
	{1, L"dunasor", L"dunasoron"},
	{1, L"domb", L"dombon"},
	{1, L"csapo", L"csapón"},
	{1, L"csapó", L"csapón"},
	{1, L"csapás", L"csapáson"},
	{1, L"bokor", L"bokron"},
	{1, L"bekötöut", L"bekötőúton"},
	{1, L"bekötöút", L"bekötőúton"},
	{1, L"bekötőut", L"bekötőúton"},
	{1, L"bekötőút", L"bekötőúton"},
	{1, L"bekötöut", L"bekötőúton"},
	{1, L"bekötöút", L"bekötőúton"},
	{1, L"bekötőut", L"bekötőúton"},
	{1, L"bekötőút", L"bekötőúton"},
	{1, L"bekötö", L"bekötőn"},
	{1, L"bekötő", L"bekötőn"},
	{1, L"bejáro", L"bejárón"},
	{1, L"bejáró", L"bejárón"},
	{1, L"bástyája", L"bástyáján"},
	{1, L"bástya", L"bástyán"},
	{1, L"autopalya", L"autópályán"},
	{1, L"autopálya", L"autópályán"},
	{1, L"autópalya", L"autópályán"},
	{1, L"autópálya", L"autópályán"},
	{1, L"autopalya", L"autópályán"},
	{1, L"autopálya", L"autópályán"},
	{1, L"autópalya", L"autópályán"},
	{1, L"autópálya", L"autópályán"},
	{1, L"autopalya", L"autópályán"},
	{1, L"átjáro", L"átjárón"},
	{1, L"átjáró", L"átjárón"},
	{1, L"Astoria", L"Asztórián"},
	{1, L"árok", L" árkon"},
	{1, L"alsosor", L"alsósoron"},
	{1, L"alsósor", L"alsósoron"},
	{1, L"alsorakpart", L"alsórakparton"},
	{1, L"alsórakpart", L"alsórakparton"},
	{1, L"also", L"alsón"},
	{1, L"alsó", L"alsón"},
	{1, L"akna", L"aknán"},
	{1, L"alagut", L"alagút felé"},
	{1, L"alagút", L"alagút felé"},
	{1, L"Ferihegy I. terminál", L"Ferihegy egyes terminál felé"},
	{1, L"Ferihegy II. terminal érkezés", L"Ferihegy kettes terminál érkezés felé"},
	{1, L"Ferihegy II. terminal indulás", L"Ferihegy kettes terminál indulás felé"},
	{1, L"Csömöri", L"Csömöri felé"},
	{2, L"tér$", L"tér felé"},
	{2, L"sziget$", L"szigeten"},
	{2, L"sor$", L"soron"},
	{2, L"part$", L"parton"},
	{2, L"liget$", L"ligeten"},
	{2, L"komp$", L"komp felé"},
	{2, L"korz[oó]$", L"korzó felé"},
	{2, L"küls[öő]$", L"külsőn"},
	{2, L"\\bh[ií]d$", L"-hídon"},
	{2, L"falva$", L"falva felé"},
	{2, L"város$", L"város felé"},
	{2, L"völgy$", L"völgyön"},
	{2, L"\\berd[öő]sor$", L"erdősoron"},
})	

transform.com2 = TRANSFORM.new({	
	{1, L"zug", L"zugra"},
	{1, L"völgyhid", L"völgyhíd felé"},
	{1, L"völgyhíd", L"völgyhíd felé"},
	{1, L"villasor", L"villasorra"},
	{1, L"vasutsor", L"vasút sorra"},
	{1, L"vasútsor", L"vasút sorra"},
	{1, L"vásártér", L"vásártér felé"},
	{1, L"üdülöterület", L" üdülőterület felé"},
	{1, L"üdülőterület", L" üdülőterület felé"},
	{1, L"üdülötelep", L" üdülőtelep felé"},
	{1, L"üdülőtelep", L" üdülőtelep felé"},
	{1, L"üdülösor", L" üdülősorra"},
	{1, L"üdülősor", L" üdülősorra"},
	{1, L"üdülöpart", L" üdülőpartra"},
	{1, L"üdülőpart", L" üdülőpartra"},
	{1, L"uutca", L"utcába"},
	{1, L"ututca", L" utcába"},
	{1, L"útutca", L" utcába"},
	{1, L"utja", L" útja felé"},
	{1, L"útja", L" útja felé"},
	{1, L"utfél", L" útfél felé"},
	{1, L"útfél", L" útfél felé"},
	{1, L"utcaw", L"utcába"},
	{1, L"utcánk", L"utcánkba"},
	{1, L"utcája", L"utcájába"},
	{1, L"utca", L"utcába"},
	{1, L"uta", L" utcába"},
	{1, L"úta", L" utcába"},
	{1, L"ut", L" útra"},
	{1, L"út", L" útra"},
	{1, L"ulicska", L"ulicskára"},
	{1, L"ujtelep", L" újtelep felé"},
	{1, L"újtelep", L" újtelep felé"},
	{1, L"ujsor", L" újsorra"},
	{1, L"újsor", L" újsorra"},
	{1, L"udvar", L"udvarra"},
	{1, L"tömb", L"tömb felé"},
	{1, L"töltés", L"töltésre"},
	{1, L"tetö", L"tetőre"},
	{1, L"tető", L"tetőre"},
	{1, L"tere", L"tere felé"},
	{1, L"temetö", L"temető felé"},
	{1, L"temető", L"temető felé"},
	{1, L"telep", L"telepre"},
	{1, L"telek", L"telekre"},
	{1, L"tanya", L"tanyára"},
	{1, L"tag", L"tagra"},
	{1, L"szölöhegy", L"szőlőhegyre"},
	{1, L"szölőhegy", L"szőlőhegyre"},
	{1, L"szőlöhegy", L"szőlőhegyre"},
	{1, L"szőlőhegy", L"szőlőhegyre"},
	{1, L"szölö$", L"szőlőre"},
	{1, L"szölő$", L"szőlőre"},
	{1, L"szőlö$", L"szőlőre"},
	{1, L"szőlő$", L"szőlőre"},
	{1, L"szél", L"szélre"},
	{1, L"sugárut", L"sugárútra"},
	{1, L"sugárút", L"sugárútra"},
	{1, L"sorház", L"sorház felé"},
	{1, L"sora", L"sorára"},
	{1, L"sikátor", L"sikátorra"},
	{1, L"sétány", L"sétányra"},
	{1, L"rét", L"rétre"},
	{1, L"regálé", L"regáléra"},
	{1, L"rakpart", L"rakpartra"},
	{1, L"puszta", L"pusztára"},
	{1, L"pincesor", L"pincesorra"},
	{1, L"pinceköz", L"pinceközbe"},
	{1, L"pihenöhely", L"pihenőhelyre"},
	{1, L"pihenőhely", L"pihenőhelyre"},
	{1, L"pavilonsor", L"pavilonsorra"},
	{1, L"parkja", L"parkja felé"},
	{1, L"park", L"parkfelé"},
	{1, L"ösvény", L" ösvényre"},
	{1, L"országut", L"országútra"},
	{1, L"országút", L"országútra"},
	{1, L"oldal", L"oldalra"},
	{1, L"oktogon", L"Oktogonra"},
	{1, L"nagyut", L"nagyútra"},
	{1, L"nagyút", L"nagyútra"},
	{1, L"mélyut", L"mély útra"},
	{1, L"mélyút", L"mély útra"},
	{1, L"major", L"major ra"},
	{1, L"lötér", L"lőtérre"},
	{1, L"lőtér", L"lőtérre"},
	{1, L"lépcsösor", L"lépcsősorra"},
	{1, L"lépcsősor", L"lépcsősorra"},
	{1, L"lépcsö", L"lépcsőre"},
	{1, L"lépcső", L"lépcsőre"},
	{1, L"lejtö", L"lejtőre"},
	{1, L"lejtő", L"lejtőre"},
	{1, L"lejáro", L"lejáróra"},
	{1, L"lejáró", L"lejáróra"},
	{1, L"laotelep", L"lakótelep felé"},
	{1, L"laótelep", L"lakótelep felé"},
	{1, L"lakotelep", L"lakótelep felé"},
	{1, L"lakótelep", L"lakótelep felé"},
	{1, L"lakopark", L"lakópark felé"},
	{1, L"lakópark", L"lakópark felé"},
	{1, L"lakonegyed", L"lakónegyed felé"},
	{1, L"lakónegyed", L"lakónegyed felé"},
	{1, L"lakoépületek", L"lakóépületek felé"},
	{1, L"lakóépületek", L"lakóépületek felé"},
	{1, L"köztere", L"köztér re"},
	{1, L"középsösor", L"középsősor ra"},
	{1, L"középsősor", L"középsősor ra"},
	{1, L"köze", L"közére"},
	{1, L"köz", L"közbe"},
	{1, L"körvasutsor", L"kör vasút sorra"},
	{1, L"körvasútsor", L"kör vasút sorra"},
	{1, L"körutja", L"körútjára"},
	{1, L"körútja", L"körútjára"},
	{1, L"körut", L"körútra"},
	{1, L"körút", L"körútra"},
	{1, L"körut", L"körutra"},
	{1, L"körtér", L"körtér re"},
	{1, L"körönd", L"köröndre"},
	{1, L"kőrönd", L"köröndre"},
	{1, L"körönd", L"köröndre"},
	{1, L"körgyürü", L"körgyűrűre"},
	{1, L"körgyürű", L"körgyűrűre"},
	{1, L"körgyűrü", L"körgyűrűre"},
	{1, L"körgyűrű", L"körgyűrűre"},
	{1, L"korzo", L"korzó felé"},
	{1, L"korzó", L"korzó felé"},
	{1, L"kolonia", L"kolóniára"},
	{1, L"kolónia", L"kolóniára"},
	{1, L"kertsor", L"kert sorra"},
	{1, L"kert", L"kertre"},
	{1, L"keresztut", L"keresztútra"},
	{1, L"keresztút", L"keresztútra"},
	{1, L"kapu", L"kapura"},
	{1, L"hidja", L"hídjára"},
	{1, L"hídja", L"hídjára"},
	{1, L"hegy", L"hegyre"},
	{1, L"határut", L"határútra"},
	{1, L"határút", L"határútra"},
	{1, L"határsor", L"határsorra"},
	{1, L"gyalogjáro", L"gyalogjáróra"},
	{1, L"gyalogjáró", L"gyalogjáróra"},
	{1, L"gát", L"gátra"},
	{1, L"föutca", L"főutcára"},
	{1, L"főutca", L"főutcára"},
	{1, L"föut", L"főútra"},
	{1, L"föút", L"főútra"},
	{1, L"főut", L"főútra"},
	{1, L"főút", L"főútra"},
	{1, L"fötér", L"főtérre"},
	{1, L"főtér", L"főtérre"},
	{1, L"fordulo", L"fordulóra"},
	{1, L"forduló", L"fordulóra"},
	{1, L"felüljáro", L"felüljáróra"},
	{1, L"felüljáró", L"felüljáróra"},
	{1, L"felsösor", L"felsősorra"},
	{1, L"felsősor", L"felsősorra"},
	{1, L"fasora", L"fasorra"},
	{1, L"fasor", L"fasorra"},
	{1, L"emléktere", L"emlékterére"},
	{1, L"dülöut", L"dűlőútra"},
	{1, L"dülöút", L"dűlőútra"},
	{1, L"dülőut", L"dűlőútra"},
	{1, L"dülőút", L"dűlőútra"},
	{1, L"dűlöut", L"dűlőútra"},
	{1, L"dűlöút", L"dűlőútra"},
	{1, L"dűlőut", L"dűlőútra"},
	{1, L"dűlőút", L"dűlőútra"},
	{1, L"dülö", L"dűlőre"},
	{1, L"dülő", L"dűlőre"},
	{1, L"dűlö", L"dűlőre"},
	{1, L"dűlő", L"dűlőre"},
	{1, L"dülö", L"dülőre"},
	{1, L"dülő", L"dülőre"},
	{1, L"dunasor", L"dunasorra"},
	{1, L"domb", L"dombra"},
	{1, L"csapo", L"csapóra"},
	{1, L"csapó", L"csapóra"},
	{1, L"csapás", L"csapásra"},
	{1, L"bokor", L"bokorra"},
	{1, L"bekötöut", L"bekötőútra"},
	{1, L"bekötöút", L"bekötőútra"},
	{1, L"bekötőut", L"bekötőútra"},
	{1, L"bekötőút", L"bekötőútra"},
	{1, L"bekötö", L"bekötőre"},
	{1, L"bekötő", L"bekötőre"},
	{1, L"bejáro", L"bejáróra"},
	{1, L"bejáró", L"bejáróra"},
	{1, L"bástyája", L"bástyájára"},
	{1, L"bástya", L"bástyára"},
	{1, L"autopalya", L"autópálya felé"},
	{1, L"autopálya", L"autópálya felé"},
	{1, L"autópalya", L"autópálya felé"},
	{1, L"autópálya", L"autópálya felé"},
	{1, L"átjáro", L" átjáróra"},
	{1, L"átjáró", L" átjáróra"},
	{1, L"Astoria", L"Asztóriánál"},
	{1, L"bárok", L" árokra"},
	{1, L"alsosor", L"alsósorra"},
	{1, L"alsósor", L"alsósorra"},
	{1, L"alsorakpart", L"alsórakpartra"},
	{1, L"alsórakpart", L"alsórakpartra"},
	{1, L"akna", L"aknára"},
	{1, L"Ferihegy I. terminál", L"Ferihegy egyes terminál felé"},
	{1, L"Ferihegy II. terminal érkezés", L"Ferihegy kettes terminál érkezés felé"},
	{1, L"Ferihegy II. terminal indulás", L"Ferihegy kettes terminál indulás felé"},
	{2, L"tér$", L"tér felé"},
	{2, L"sziget$", L"szigetre"},
	{2, L"\\bsor$", L"sorra"},
	{2, L"part$", L"partra"},
	{2, L"liget$", L"liget felé"},
	{2, L"komp$", L"komp felé"},
	{2, L"küls[öő]$", L"külsőre"},
	{2, L"\\bh[ií]d$", L"-hídra"},
	{2, L"falva$", L"falva felé"},
	{2, L"als[oó]$", L"alsóra"},
	{2, L"alag[uú]t$", L"alagút felé"},
	{2, L"város$", L"város felé"},
	{2, L"Csömöri$\\b", L"Csömöri felé"},
	{2, L"völgy$", L"völgy felé"},
	{2, L"\\berd[öő]sor$", L"erdősorra"},
})	

transform.com3 = TRANSFORM.new({	
	{1, L"zug", L"zug ot"},
	{1, L"völgyhid", L"völgyhídat"},
	{1, L"völgyhíd", L"völgyhídat"},
	{1, L"villasor", L"villasort"},
	{1, L"vasutsor", L"vasút sort"},
	{1, L"vasútsor", L"vasút sort"},
	{1, L"vásártér", L"vásárteret"},
	{1, L"üdülöterület", L" üdülőterületet"},
	{1, L"üdülőterület", L" üdülőterületet"},
	{1, L"üdülötelep", L" üdülőtelepet"},
	{1, L"üdülőtelep", L" üdülőtelepet"},
	{1, L"üdülösor", L" üdülősort"},
	{1, L"üdülősor", L" üdülősort"},
	{1, L"üdülöpart", L" üdülőpartot"},
	{1, L"üdülőpart", L" üdülőpartot"},
	{1, L"uutca", L"utcát"},
	{1, L"ututca", L" utcát"},
	{1, L"útutca", L" utcát"},
	{1, L"utja", L" útját"},
	{1, L"útja", L" útját"},
	{1, L"utfél", L" útfelet"},
	{1, L"útfél", L" útfelet"},
	{1, L"utcaw", L"utcát"},
	{1, L"utcánk", L"utcánkat"},
	{1, L"utcája", L"utcáját"},
	{1, L"utca", L"utcát"},
	{1, L"uta", L" utat"},
	{1, L"úta", L" utat"},
	{1, L"ut", L" utat"},
	{1, L"út", L" utat"},
	{1, L"ulicska", L"ulicskát"},
	{1, L"ujtelep", L" újtelepet"},
	{1, L"újtelep", L" újtelepet"},
	{1, L"ujsor", L" újsort"},
	{1, L"újsor", L" újsort"},
	{1, L"udvar", L"udvart"},
	{1, L"tömb", L"tömböt"},
	{1, L"töltés", L"töltést"},
	{1, L"tetö", L"tetőt"},
	{1, L"tető", L"tetőt"},
	{1, L"tere", L"terét"},
	{1, L"temetö", L"temetőt"},
	{1, L"temető", L"temetőt"},
	{1, L"telep", L"telepet"},
	{1, L"telek", L"telket"},
	{1, L"tanya", L"tanyát"},
	{1, L"tag", L"tago t"},
	{1, L"szölöhegy", L"szőlőhegyet"},
	{1, L"szölőhegy", L"szőlőhegyet"},
	{1, L"szőlöhegy", L"szőlőhegyet"},
	{1, L"szőlőhegy", L"szőlőhegyet"},
	{1, L"szölö$", L"szőlőt"},
	{1, L"szölő$", L"szőlőt"},
	{1, L"szőlö$", L"szőlőt"},
	{1, L"szőlő$", L"szőlőt"},
	{1, L"szél", L"szélt"},
	{1, L"sugárut", L"sugárútat"},
	{1, L"sugárút", L"sugárútat"},
	{1, L"sorház", L"sorházat"},
	{1, L"sora", L"sorát"},
	{1, L"sikátor", L"sikátort"},
	{1, L"sétány", L"sétányt"},
	{1, L"rét", L"rétet"},
	{1, L"regálé", L"regálét"},
	{1, L"rakpart", L"rakpartot"},
	{1, L"puszta", L"pusztát"},
	{1, L"pincesor", L"pince sort"},
	{1, L"pinceköz", L"pinceközt"},
	{1, L"pihenöhely", L"pihenőhelyet"},
	{1, L"pihenőhely", L"pihenőhelyet"},
	{1, L"pavilonsor", L"pavilonsort"},
	{1, L"parkja", L"parkját"},
	{1, L"park", L"parkot"},
	{1, L"ösvény", L" ösvényt"},
	{1, L"országut", L"országútat"},
	{1, L"országút", L"országútat"},
	{1, L"oldal", L"oldalt"},
	{1, L"oktogon", L"Oktogont"},
	{1, L"nagyut", L"nagyútat"},
	{1, L"nagyút", L"nagyútat"},
	{1, L"mélyut", L"mélyutat"},
	{1, L"mélyút", L"mélyutat"},
	{1, L"major", L"majort"},
	{1, L"lötér", L"lőteret"},
	{1, L"lőtér", L"lőteret"},
	{1, L"lépcsösor", L"lépcsősort"},
	{1, L"lépcsősor", L"lépcsősort"},
	{1, L"lépcsö", L"lépcsőt"},
	{1, L"lépcső", L"lépcsőt"},
	{1, L"lejtö", L"lejtőt"},
	{1, L"lejtő", L"lejtőt"},
	{1, L"lejáro", L"lejárót"},
	{1, L"lejáró", L"lejárót"},
	{1, L"laotelep", L"lakótelepet"},
	{1, L"laótelep", L"lakótelepet"},
	{1, L"lakotelep", L"lakótelepet"},
	{1, L"lakótelep", L"lakótelepet"},
	{1, L"lakopark", L"lakóparkot"},
	{1, L"lakópark", L"lakóparkot"},
	{1, L"lakonegyed", L"lakónegyedet"},
	{1, L"lakónegyed", L"lakónegyedet"},
	{1, L"lakoépületek", L"lakóépületeket"},
	{1, L"lakóépületek", L"lakóépületeket"},
	{1, L"köztere", L"közterét"},
	{1, L"középsösor", L"középső sort"},
	{1, L"középsősor", L"középső sort"},
	{1, L"köze", L"közét"},
	{1, L"köz", L"közt"},
	{1, L"körvasutsor", L"kör vasút sort"},
	{1, L"körvasútsor", L"kör vasút sort"},
	{1, L"körutja", L"körútját"},
	{1, L"körútja", L"körútját"},
	{1, L"körut", L"körútat"},
	{1, L"körút", L"körútat"},
	{1, L"körut", L"körutat"},
	{1, L"körtér", L"körteret"},
	{1, L"körönd", L"köröndöt"},
	{1, L"kőrönd", L"köröndöt"},
	{1, L"körönd", L"köröndöt"},
	{1, L"körgyürü", L"körgyűrűt"},
	{1, L"körgyürű", L"körgyűrűt"},
	{1, L"körgyűrü", L"körgyűrűt"},
	{1, L"körgyűrű", L"körgyűrűt"},
	{1, L"kolonia", L"kolóniát"},
	{1, L"kolónia", L"kolóniát"},
	{1, L"kertsor", L"kert sort"},
	{1, L"kert", L"kertet"},
	{1, L"keresztut", L"keresztutat"},
	{1, L"keresztút", L"keresztutat"},
	{1, L"kapu", L"kaput"},
	{1, L"hidja", L"hídját"},
	{1, L"hídja", L"hídját"},
	{1, L"hegy", L"hegyet"},
	{1, L"határut", L"határutat"},
	{1, L"határút", L"határutat"},
	{1, L"határsor", L"határsort"},
	{1, L"gyalogjáro", L"gyalogjárót"},
	{1, L"gyalogjáró", L"gyalogjárót"},
	{1, L"gát", L"gátat"},
	{1, L"föutca", L"főutcát"},
	{1, L"főutca", L"főutcát"},
	{1, L"föut", L"főútat"},
	{1, L"föút", L"főútat"},
	{1, L"főut", L"főútat"},
	{1, L"főút", L"főútat"},
	{1, L"fötér", L"főteret"},
	{1, L"főtér", L"főteret"},
	{1, L"fordulo", L"fordulót"},
	{1, L"forduló", L"fordulót"},
	{1, L"felüljáro", L"felüljárót"},
	{1, L"felüljáró", L"felüljárót"},
	{1, L"felsösor", L"felsősort"},
	{1, L"felsősor", L"felsősort"},
	{1, L"fasora", L"fasorát"},
	{1, L"fasor", L"fasort"},
	{1, L"emléktere", L"emlékterét"},
	{1, L"dülöut", L"dűlőútat"},
	{1, L"dülöút", L"dűlőútat"},
	{1, L"dülőut", L"dűlőútat"},
	{1, L"dülőút", L"dűlőútat"},
	{1, L"dűlöut", L"dűlőútat"},
	{1, L"dűlöút", L"dűlőútat"},
	{1, L"dűlőut", L"dűlőútat"},
	{1, L"dűlőút", L"dűlőútat"},
	{1, L"dülö", L"dűlőt"},
	{1, L"dülő", L"dűlőt"},
	{1, L"dűlö", L"dűlőt"},
	{1, L"dűlő", L"dűlőt"},
	{1, L"dülö", L"dülőt"},
	{1, L"dülő", L"dülőt"},
	{1, L"dunasor", L"dunasort"},
	{1, L"domb", L"dombot"},
	{1, L"csapo", L"csapót"},
	{1, L"csapó", L"csapót"},
	{1, L"csapás", L"csapást"},
	{1, L"bokor", L"bokrot"},
	{1, L"bekötöut", L"bekötőútat"},
	{1, L"bekötöút", L"bekötőútat"},
	{1, L"bekötőut", L"bekötőútat"},
	{1, L"bekötőút", L"bekötőútat"},
	{1, L"bekötö", L"bekötőt"},
	{1, L"bekötő", L"bekötőt"},
	{1, L"bejáro", L"bejárót"},
	{1, L"bejáró", L"bejárót"},
	{1, L"bástyája", L"bástyáját"},
	{1, L"bástya", L"bástyát"},
	{1, L"autopalya", L"autópályát"},
	{1, L"autopálya", L"autópályát"},
	{1, L"autópalya", L"autópályát"},
	{1, L"autópálya", L"autópályát"},
	{1, L"autopalya", L"autópályát"},
	{1, L"Astoria", L" Asztóriát"},
	{1, L"árok", L" árkot"},
	{1, L"alsosor", L"alsósort"},
	{1, L"alsósor", L"alsósort"},
	{1, L"alsorakpart", L"alsórakpartot"},
	{1, L"alsórakpart", L"alsórakpartot"},
	{1, L"akna", L"aknát"},
	{1, L"Ferihegy I. terminál", L"Ferihegy egyes terminált"},
	{1, L"Ferihegy II. terminal érkezés", L"Ferihegy kettes terminál érkezést"},
	{1, L"Ferihegy II. terminal indulás", L"Ferihegy kettes terminál indulást"},
	{2, L"tér$", L"teret"},
	{2, L"sziget$", L"szigetet"},
	{2, L"\\bsor$", L"sort"},
	{2, L"part$", L"partot"},
	{2, L"liget$", L"ligetet"},
	{2, L"komp$", L"kompot"},
	{2, L"korz[oó]$", L"korzót"},
	{2, L"küls[öő]$", L"külsőt"},
	{2, L"\\bh[ií]d$", L"-hídat"},
	{2, L"falva$", L"falvát"},
	{2, L"átjár[oó]$", L" átjárót"},
	{2, L"als[oó]$", L"alsót"},
	{2, L"alag[uú]t$", L"alagutat"},
	{2, L"város$", L"várost"},
	{2, L"Csömöri\\b", L"Csömörit"},
	{2, L"völgy$", L"völgyet"},
	{2, L"\\erd[öő]sor$", L"erdősort"},
})	
